#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-configupdater
Version		:	3.2
Release		:	17.2.0.rel%{?dist}
Summary		:	Parser like ConfigParser but for updating configuration files

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/pyscaffold/configupdater

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildRequires	:	python-setuptools-scm

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
The sole purpose of ConfigUpdater is to easily update
an INI config file with no changes to the original file
except the intended ones. This means comments, the
ordering of sections and key/value-pairs as well as
their cases are kept as in the original file.
Thus ConfigUpdater provides complementary functionality
to Python's ConfigParser which is primarily meant for
reading config files and writing new ones.
 
Features:
 
The key differences to ConfigParser are:
 
  * minimal invasive changes in the update configuration file,
  * proper handling of comments,
  * only a single config file can be updated at a time,
  * the original case of sections and keys are kept,
  * control over the position of a new section/key
 
The following features are deliberately not implemented:
 
  * interpolation of values,
  * propagation of parameters from the default section,
  * conversions of values,
  * passing key/value-pairs with default argument,
  * non-strict mode allowing duplicate sections and keys.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/ConfigUpdater-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}


#-----------------------------------------------------------------------------
#building application
%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

	

#-----------------------------------------------------------------------------
%changelog
